[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

SV: Re: ndiswrapper och Broadcom



Hej Torbjörn!

Tack för ditt svar!
Jag installerar ndiswrapper genom att bygga från
källkoden, då installeras user tool binären
ndiswrapper
samt modulen ndiswrapper. Dom andra user tools:en för
att konfigurera wlan-interfacet är inte beroende av
ndiswrapper-version mig veterligen.
Däremot har ju ndiswrapper, iom att funktionen delvis
implementeras som en modul, ett beroende mot
kernel-version. Det man också kan dribbla med är
version av windows-driver enligt:
http://ndiswrapper.sourceforge.net/mediawiki/index.php/List

Jag har sökt på lspci utskriften för mitt bcm-kort:
0000:02:03.0 Network controller: Broadcom Corporation
BCM4306 802.11b/g Wireless LAN Controller (rev 03)

och då hittat en windows-driver som jag nu försöker
använda. Dock använde jag en annan när jag lekte med
ndiswrapper-0.10 och 2.6.8 för ett år sedan.
Doch funkar ingen av dom på 2.6.12 men på 2.6.8 och
ndiswrapper-0.10 och dom tidigare windows-drivisarna
funkar det klockrent!

När kärnan hänger sig är det ibland direkt efter
modprobe, men på ndiswrapper-1.0 kan jag surfa c.a. 
30 s innan det är dags att trycka p on/p off :-(
På ndiswrapper-1.5 funkar det dock att modproba men
sedan får jag tyvärr ingen kontakt med APn :-(

Jag har full förståelse för att du inte vill börja
testa på ditt system, kanske någon annan har försökt?
Annars är det väl bara att investera i ett nytt
WLan-kort, trist dock att inte kunna använda det
inbyggda med Broascom har tydligen inte släppt specen
på hur HW fungerar, därav finns inga native drivers.

Mvh

/ Janne
--- Torbjörn Svensson <azoff@se.linux.org> skrev:

> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> Janne Gustafsson wrote:
> > Hej!
> 
> Hej!
> 
> > Jag har det stora nöjet att inneha ett inbyggt
> Broadcom
> > wireless kort i min Dell-laptop. Jag har hittills
> kört en 2.6.8
> > kärna med vill gärna komma upp på 2.6.12.
> > Med 2.6.8-kärnan och nidiswrapper.0.10 funkar det
> klockrent!
> > Iom PCI-API förändringar i > 2.6.8 så kan jag inte
> längre använda
> > mig av ndiswrapper-0.10, utan har provat version
> 1, 4 samt 5.
> > Version 1 och 4 leder till hängningar av maskinen
> i samband med 
> > modprobe av ndiswrapper-modulen, version 5 funkar
> att ladda med den
> > får ingen response på DHCP-requesten.
> 
> När du provar ndiswrapper 1.x, har du då sett till
> att rätt version av
> verktygen för ndiswrapper är installerade, och finns
> på rätt path? eller
> hur har du gjort? Mig veterligen så är just
> hängning/ej fungerande
> kommunikation ofta relaterat till att fel version av
> user toolen används
> i förhållande till kernel modulen.
> 
> > För att få bukt på hängningarna har jag tittat på
> ndiswrappers hemsida på
> > sourceforge och fått ett tips att patcha 2.6.12
> att använda 16k-stack ist. för
> > default 8k, detta för att windows drivers tydligen
> kräver så stor stack.
> > Dock ger denna patch ingen förbättring.
> 
> Detta är inget krav såvitt jag vet. bcm drivaren
> skall fungera med 4k
> stackar med, iaf gjorde det det på min Dell maskin.
> Jag har dock inte
> haft igång den på ett tag, så jag kan inte riktigt
> svara på din fråga,
> dock skulle jag kunna försöka få igång det på en
> nyare kernel än den som
> ligger i (från april i år).
> 
> > Är det någon därute som lyckats köra 2.6.12 och
> ndiswrapper > 0.10
> > med ett Broadcom wirless chip. (Jag använder
> bcmwl5a windows driver).
> > Vilka versioner har ni isåfall använt er av?
> 
> Som sagt, jag kan testa, men helst skulle jag vilja
> undvika detta då jag
> för närvarande inte har någon fungerande AP.
> - --
>   .''`. Torbjörn Svensson, azoff (at) se (dot) linux
> (dot) org
>  : :' : 7EB9 2DC5 61AE DAB5 7099  BAC6 798E E39A
> DBDB 0CFD
>  `. `'  http://azoff.homeip.net |
> http://azoff.tty0.org
>    `--  http://se.linux.org
> 
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.1 (GNU/Linux)
> Comment: Using GnuPG with Thunderbird -
> http://enigmail.mozdev.org
> 
>
iD8DBQFDai0xeY7jmtvbDP0RAu48AJwNNYUAHwegUG2auEeUanHiFcrC8gCgwvFc
> 3zT4QXrCcdL7Yu31Y3oj4mw=
> =T7Kl
> -----END PGP SIGNATURE-----
> 
> 
> -- 
> To UNSUBSCRIBE, email to
> debian-user-swedish-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact
> listmaster@lists.debian.org
> 
> 



Reply to: